Loading...
Searching...
No Matches
Simplify.h File Reference

Methods for simplifying halide statements and expressions. More...

`#include "Expr.h"`
`#include "Interval.h"`
`#include "ModulusRemainder.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::simplify (const Stmt &, bool remove_dead_code=true, const Scope< Interval > &bounds=Scope< Interval >::empty_scope(), const Scope< ModulusRemainder > &alignment=Scope< ModulusRemainder >::empty_scope(), const std::vector< Expr > &assumptions=std::vector< Expr >())
| Perform a wide range of simplifications to expressions and statements, including constant folding, substituting in trivial values, arithmetic rearranging, etc.
Expr | Halide::Internal::simplify (const Expr &, bool remove_dead_code=true, const Scope< Interval > &bounds=Scope< Interval >::empty_scope(), const Scope< ModulusRemainder > &alignment=Scope< ModulusRemainder >::empty_scope(), const std::vector< Expr > &assumptions=std::vector< Expr >())
bool | Halide::Internal::can_prove (Expr e, const Scope< Interval > &bounds=Scope< Interval >::empty_scope())
| Attempt to statically prove an expression is true using the simplifier.
Stmt | Halide::Internal::simplify_exprs (const Stmt &)
| Simplify expressions found in a statement, but don't simplify across different statements.

## Detailed Description

Methods for simplifying halide statements and expressions.

Definition in file Simplify.h.